/**
 *
 * @param {*} nom
 * @param {*} error
 * @param {Array} arrayNiveau
 * @returns boolean
 */
const validationNote = (nom, error, arrayNiveau) => {
  let isValid = true

  if (nom.value === '') {
    error.textContent = 'Nom requis pour soumettre la formulaire'
    isValid = false
  } else if (arrayNiveau.includes(nom.value) === true) {
    error.textContent = `${nom.value} existe déjà`
    isValid = false
  } else {
    error.textContent = ''
  }

  return isValid
}

export default validationNote
